Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rss/maker/image.rb

Class/Module Index [+]

Quicksearch

RSS::Maker::ImageItemModel

Public Class Methods

append_features(klass) click to toggle source
 
               # File rss/maker/image.rb, line 8
def self.append_features(klass)
  super

  name = "#{RSS::IMAGE_PREFIX}_item"
  klass.def_classed_element(name)
end
            
install_image_item(klass) click to toggle source
 
               # File rss/maker/image.rb, line 15
      def self.install_image_item(klass)
        klass.module_eval("          class ImageItem < ImageItemBase
            DublinCoreModel.install_dublin_core(self)
          end
", __FILE__, __LINE__ + 1)
      end